Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231366 - system-config-keyboard requires firstboot?
Summary: system-config-keyboard requires firstboot?
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-keyboard
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 21:29 UTC by Doncho Gunchev
Modified: 2010-04-02 18:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-22 22:52:54 UTC


Attachments (Terms of Use)

Description Doncho Gunchev 2007-03-07 21:29:27 UTC
Description of problem:
system-config-keyboard requires firstboot?

Version-Release number of selected component (if applicable):
system-config-keyboard-1.2.11-1.fc7

  It sounds logical that firstboot may/should requires lots of system-* 
chkconfig, authconfig... tools, but the oposite sounds very strange (I for one 
always remove firstboot* after install).

Comment 1 Richard Dawe 2007-06-13 10:29:46 UTC
On one of my systems, firstboot actually hangs the machine (see bug #244006). I
used to be able to uninstall it easily. Now I have to "rpm -ev --nodeps" it,
which makes me feel dirty. ;)

Comment 2 Doncho Gunchev 2007-06-13 11:30:53 UTC
You can simply 'chkconfig firstboot off'.

Comment 3 Richard Dawe 2007-06-13 14:22:20 UTC
(In reply to comment #2)
> You can simply 'chkconfig firstboot off'.

Now I feel stupid. Thanks for the tip. 8)

Comment 4 Red Hat Bugzilla 2007-08-21 05:32:20 UTC
User pnasrat@redhat.com's account has been closed

Comment 5 Jesse Keating 2008-01-22 22:52:54 UTC
Requires firstboot due to placing files in the firstboot directory structure.

Comment 6 Tim Landscheidt 2009-03-19 13:23:21 UTC
system-config-language-1.3.2-3.fc10.noarch seems to use the firstboot directory structure as well, but to be able to do that without a package requirement:

| [tim@lockfix ~/Desktop/Agenda]$ rpm -qf /usr/share/firstboot/
| system-config-language-1.3.2-3.fc10.noarch
| firstboot-1.102-1.fc10.i386
| [tim@lockfix ~/Desktop/Agenda]$

It would be really nice if the dependency of system-config-keyboard on firstboot could be lost as firstboot draws in metacity and other packages in return.

Comment 7 Matt McCutchen 2010-04-02 18:20:59 UTC
The firstboot dependency could be moved to a subpackage, like smolt-firstboot.  Please reopen.


Note You need to log in before you can comment on or make changes to this bug.